﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "RRDADataAssetBase.h"
#include "ItemAmount.h"

#include "RRDATurbineDataAsset.generated.h"

UCLASS( BlueprintType )
class REFINEDRDAPI_API URRDATurbineDataAsset : public URRDADataAssetBase
{
	GENERATED_BODY()

public:
	/**
	 * Fuel item that this heater uses
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Turbine")
	FItemAmount mItem;
	
	/**
	 * Item that this turbine produces
	 * @Note - Can be nullptr so that the turbine doesn't produce anything
	 */
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Category = "Turbine")
	FItemAmount mWasteItem;
};